# ipi-nosql.properties
# WARNING: defaults loaded from resource classpath:/defaults.properties


# override(s)
#default.environment=dev
#default.environment_dtp=dev
default.environment_sqs=${default.environment}
log4j.configuration=${default.home_folder}/ipi-nosql-log4j2.xml
#aws.credentials=${default.home_folder}/AwsCredentials.properties

http.proxy.host=10.255.1.241
http.proxy.port=8080

# uncomment to dump from prod database
ulisse_data_source=ULISSE_prod
ULISSE_prod.jdbc.user=ULISSE_WS
ULISSE_prod.jdbc.password=weraprista
ipi_data_source=IPI_prod
IPI_prod.jdbc.user=${ULISSE_prod.jdbc.user}
IPI_prod.jdbc.password=${ULISSE_prod.jdbc.password}


  #####################
 ## country_service ##
#####################

# countries missing in table TERRITORIO but referenced by IPI
# WARNING: missing countries refer to expired country codes, DO NOT USE!
country_service.missing_countries=[]
__country_service.missing_countries=[{\
	"tisn":"231",\
	"tisa":"ET",\
	"tisaext":"ETH",\
	"name":"ETHIOPIA"\
},{\
	"tisn":"280",\
	"tisa":"DE",\
	"tisaext":"DEU",\
	"name":"GERMANY"\
},{\
	"tisn":"736",\
	"tisa":"SD",\
	"tisaext":"SDN",\
	"name":"SUDAN"\
},{\
	"tisn":"887",\
	"tisa":"YE",\
	"tisaext":"YEM",\
	"name":"YEMEN"\
},{\
	"tisn":"446",\
	"tisa":"MO",\
	"tisaext":"MAC",\
	"name":"MACAO"\
}]

country_service.sql.select_territorio_gerarchia=\
 select TIS_N_PARENT, TIS_N_CHILD \
   from TERRITORIO_GERARCHIA \
  where (APPARTIENE_DA is null or APPARTIENE_DA < {sqldate}) \
    and (APPARTIENE_A is null or APPARTIENE_A > {sqldate})
    
country_service.sql.select_territorio=\
 select TIS_N, TIS_A, TIS_A_EXT, NOME \
  from TERRITORIO \
 where (DATA_VALIDITA_DA is null or DATA_VALIDITA_DA < {sqldate}) \
   and (DATA_VALIDITA_A is null or DATA_VALIDITA_A > {sqldate})


  ###############
 ## ipi_nosql ##
###############

ipi_nosql.locked=false
#ipi_nosql.debug=true
ipi_nosql.bind_port=10241

#ipi_nosql.standalone=true
ipi_nosql.standalone.message_body={\
	"year": "2019",\
	"month": "01",\
	"techsysdate": true,\
	"steps": ["create", "upload"],\
	"force": true\
}

ipi_nosql.reference_day=01
ipi_nosql.techsysdate=true

ipi_nosql.ipi_types={"OD": "DEM", "MD": "DRM"}
ipi_nosql.ipi_roles=LY,MC,EM

ipi_nosql.tar_path=/usr/bin/tar
ipi_nosql.datetime_format=yyyyMMdd
ipi_nosql.home_url=s3://siae-sophia-datalake/${default.environment}/schemi-riparto-v2
ipi_nosql.folder_url=${ipi_nosql.home_url}/IPI/{year}{month}
ipi_nosql.archive_url=${ipi_nosql.folder_url}/IPI-{year}{month}-{datetime}.tgz
ipi_nosql.latest_url=${ipi_nosql.folder_url}/IPI-{year}{month}.latest
ipi_nosql.archive_file.min_size=1Mb
ipi_nosql.archive_file.delete_when_done=true

ipi_nosql.sqs.max_messages_per_run=30
ipi_nosql.sqs.max_polling_duration=4m30s
ipi_nosql.sqs.polling_period=10s
ipi_nosql.sqs.sender_name=ipi-dump-v2
ipi_nosql.sqs.service_bus_queue=${default.environment_sqs}_service_bus
ipi_nosql.sqs.to_process_queue=${default.environment_sqs}_to_process_ipi_dump_v2
ipi_nosql.sqs.started_queue=${default.environment_sqs}_started_ipi_dump_v2
ipi_nosql.sqs.completed_queue=${default.environment_sqs}_completed_ipi_dump_v2
ipi_nosql.sqs.failed_queue=${default.environment_sqs}_failed_ipi_dump_v2
ipi_nosql.sqs.deduplicator_folder=${default.home_folder}/sqs_deduplicator.trie

# temporary nosql database for ipi_tisagm data
ipi_nosql.ipi_tisagm.heartbeat=100000
ipi_nosql.ipi_tisagm.home_folder=${default.home_folder}/ipi_tisagm_{year}{month}.nosql
ipi_nosql.ipi_tisagm.page_size=32Mb
ipi_nosql.ipi_tisagm.cache_size=1K
ipi_nosql.ipi_tisagm.create_always=true
ipi_nosql.ipi_tisagm.read_only=false
ipi_nosql.ipi_tisagm.delete_when_done=true

# permanent nosql database for ipi_soc data
ipi_nosql.ipi_soc.heartbeat=100000
ipi_nosql.ipi_soc.home_folder=${default.home_folder}/ipi_soc_{year}{month}.nosql
ipi_nosql.ipi_soc.page_size=32Mb
ipi_nosql.ipi_soc.cache_size=1K
ipi_nosql.ipi_soc.create_always=true
ipi_nosql.ipi_soc.read_only=false
ipi_nosql.ipi_soc.delete_when_done=true

# sql
ipi_nosql.ipi_tisagm.fetch_size=4096
ipi_nosql.ipi_tisagm.sql=\
	select b.agmid agmid \
	     , b.tisnr tisnr \
	     , b.incexc incexc \
	  from ipi_agm a, ipi_tisagm b \
	 where a.agmid = b.agmid \
	   and ({sqldate} between a.fromdt and a.todt) \
	   and a.rgt in ('OD', 'MD') \
	   and a.creclass = 'MW' \
	 order by b.agmid, b.tisagmseq 

ipi_nosql.ipi_soc.fetch_size=4096
ipi_nosql.ipi_soc.sql=\
	select a.agmid agmid \
	     , b.ipnamenr ipnamenr \
	     , a.rgt rgt \
	     , a.shr shr \
	     , c.socname socname \
	     , a.rol rol \
	  from ipi_agm a, ipi_name_ref b, ipi_soc c \
	 where a.ipbasenr = b.ipbasenr \
	   and a.socid = c.socid \
	   and ({sqldate} between a.fromdt and a.todt) \
	   and a.rgt in ('OD', 'MD') \
	   and a.creclass = 'MW' \
	 order by b.ipnamenr





	   
	   